const Auth = require("../models/auth");
const Queue = require("../models/queue");

const queueModel = new Queue();

const showIndex = async(req, res, next) => {
    const authResult = await Auth.getSessionData(req.session.token); 

    const queueResult = await queueModel.findOneBy("user_id",authResult.userId);

    res.render("index",{ role: authResult.role, isQueue: queueResult == null ? false : true });
};

module.exports = {
    showIndex,
};