require('dotenv').config()
const promiseMySQL = require('mysql2/promise');
const cron = require('node-cron');

// const mysql = promiseMySQL.createPool(
//   {
//     host: "127.0.0.1"
//     , user: "root"
//     , password: ""
//     , database: "eatq_db"
//     , multipleStatements: false
//     , port: 3306
//     , connectionLimit: 10
//   });
// ;

const mysql = promiseMySQL.createPool(
  {
    host: process.env.DB_HOST
    , user: process.env.DB_USER
    , password: process.env.DB_PASSWORD
    , database: process.env.DB_NAME
    , multipleStatements: false
    , port: process.env.DB_PORT
    , connectionLimit: 10
  });
;

cron.schedule('* * * * *', async () => {
  var query = "SELECT * FROM `roles` WHERE 1";
  await mysql.query(query, mysqlPool);

  console.log("[(MySQL) Worker-Cron] echo !")
});

module.exports = {
  mysql,
};