const express = require('express');
const router = express.Router();

const authController = require("../controllers/AuthController");

router.get('/login', authController.showLogin);
router.get('/register', authController.showRegister);
router.post('/auth/login', authController.authLogin);
router.post('/auth/register', authController.authRegister);
router.post('/auth/logout', authController.authLogout);

// 
module.exports = router;