const express = require('express');
const router = express.Router();

const tableController = require("../controllers/TableController");
const authController = require("../controllers/AuthController");

router.get('/table', [ authController.checkAuth, authController.adminRoute ],tableController.showIndex);
router.get('/table/manage/:id', [ authController.checkAuth, authController.adminRoute ],tableController.showManage);
router.get('/table/create', [ authController.checkAuth, authController.adminRoute ],tableController.showCreate);
router.post('/table/update', [ authController.checkAuth, authController.adminRoute ],tableController.updateTable);
router.post('/table/delete', [ authController.checkAuth, authController.adminRoute ],tableController.deleteTable);
router.post('/table/create', [ authController.checkAuth, authController.adminRoute ],tableController.createTable);

// 
module.exports = router;